summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2015-10-26 19:20:59 +0100
committerUlrich Müller <ulm@gentoo.org>2015-10-26 19:22:44 +0100
commit724aa5e88c07e279e7cd76639145810c0ba9e914 (patch)
tree1494cd3cc14a5afdc5a3df826346f11fb9c74a01 /app-emacs
parentmedia-libs/mesa: depend on compatible llvm versions (diff)
downloadgentoo-724aa5e88c07e279e7cd76639145810c0ba9e914.tar.gz
gentoo-724aa5e88c07e279e7cd76639145810c0ba9e914.tar.bz2
gentoo-724aa5e88c07e279e7cd76639145810c0ba9e914.zip
app-emacs/magit: Fix build failure.
Fix documentation build failure by avoiding the horrible upstream build system altogether. Drop the "contrib" USE flag since there is no contrib directory any more. Install some additional doc files. Bug: 564152 Package-Manager: portage-2.2.23
Diffstat (limited to 'app-emacs')
-rw-r--r--app-emacs/magit/magit-2.2.2-r1.ebuild (renamed from app-emacs/magit/magit-2.2.2.ebuild)28
1 files changed, 6 insertions, 22 deletions
diff --git a/app-emacs/magit/magit-2.2.2.ebuild b/app-emacs/magit/magit-2.2.2-r1.ebuild
index 8a803afff16..bb0b51abe36 100644
--- a/app-emacs/magit/magit-2.2.2.ebuild
+++ b/app-emacs/magit/magit-2.2.2-r1.ebuild
@@ -13,40 +13,24 @@ SRC_URI="https://github.com/magit/magit/releases/download/${PV}/${P}.tar.gz"
LICENSE="GPL-3+ FDL-1.2+"
SLOT="0"
KEYWORDS="~amd64"
-IUSE="contrib"
RESTRICT="test"
SITEFILE="50${PN}-gentoo.el"
-CDEPEND=">=app-emacs/dash-2.12.0"
-
-DEPEND="${CDEPEND}"
-RDEPEND="${CDEPEND} >=dev-vcs/git-1.9.4"
-
-src_prepare() {
- # Makefile expects this to be present at the current directory
- ln -s lisp/magit-version.el magit-version.el || die
-}
+DEPEND=">=app-emacs/dash-2.12.0"
+RDEPEND="${DEPEND} >=dev-vcs/git-1.9.4"
src_compile() {
# The upstream build system ignores errors during byte-compilation
# and happily installs broken files, causing errors at runtime.
# Call elisp-compile, in order to catch them here already.
- pushd lisp || die
- elisp-compile *.el
- popd || die
- emake docs
- use contrib && emake contrib
+ elisp-compile lisp/*.el
+ makeinfo Documentation/*.texi || die
}
src_install() {
elisp-install ${PN} lisp/*.{el,elc}
elisp-site-file-install "${FILESDIR}/${SITEFILE}"
- doinfo Documentation/*.info
- dodoc README.md
-
- if use contrib; then
- elisp-install ${PN} contrib/*.{el,elc}
- dobin contrib/magit
- fi
+ doinfo *.info
+ dodoc README.md Documentation/AUTHORS.md Documentation/${PV}.txt
}